Index: Makefile
===================================================================
--- Makefile	(revision eebe5762f49fac1cd626fc5cb271a382ad38d1d6)
+++ Makefile	(revision 8cdd1420c703246d1a360ff964cd8b7f4f6307bd)
@@ -72,4 +72,5 @@
 LIB_C_FILES += rtemsbsd/rtems/rtems-bsd-get-ethernet-addr.c
 LIB_C_FILES += rtemsbsd/rtems/rtems-bsd-get-file.c
+LIB_C_FILES += rtemsbsd/rtems/rtems-bsd-get-mac-address.c
 LIB_C_FILES += rtemsbsd/rtems/rtems-bsd-get-task-priority.c
 LIB_C_FILES += rtemsbsd/rtems/rtems-bsd-get-task-stack-size.c
Index: freebsd-to-rtems.py
===================================================================
--- freebsd-to-rtems.py	(revision eebe5762f49fac1cd626fc5cb271a382ad38d1d6)
+++ freebsd-to-rtems.py	(revision 8cdd1420c703246d1a360ff964cd8b7f4f6307bd)
@@ -670,4 +670,5 @@
 		'rtems/rtems-bsd-get-ethernet-addr.c',
 		'rtems/rtems-bsd-get-file.c',
+		'rtems/rtems-bsd-get-mac-address.c',
 		'rtems/rtems-bsd-get-task-priority.c',
 		'rtems/rtems-bsd-get-task-stack-size.c',
Index: rtemsbsd/include/rtems/bsd/bsd.h
===================================================================
--- rtemsbsd/include/rtems/bsd/bsd.h	(revision eebe5762f49fac1cd626fc5cb271a382ad38d1d6)
+++ rtemsbsd/include/rtems/bsd/bsd.h	(revision 8cdd1420c703246d1a360ff964cd8b7f4f6307bd)
@@ -104,4 +104,24 @@
 size_t rtems_bsd_get_task_stack_size(const char *name);
 
+/**
+ * @brief Returns the Ethernet MAC address for a specified device.
+ *
+ * Applications may provide their own implementation of this function.  For
+ * example they can define their implementation in the same module which calls
+ * rtems_bsd_initialize().
+ *
+ * The default implementation returns
+ * { 0x0e, 0xb0, 0xba, 0x5e, 0xba, 0x11 + unit }.
+ *
+ * This is a workaround.  A better approach would be to use a device tree and a
+ * bus device similar to the FreeBSD SIMPLEBUS(4).
+ *
+ * @param[in] name The device name.
+ * @param[in] unit The device unit.
+ * @param[out] mac_addr The Ethernet MAC address.
+ */
+void rtems_bsd_get_mac_address(const char *name, int unit,
+    uint8_t mac_addr[6]);
+
 #ifdef __cplusplus
 }
Index: rtemsbsd/rtems/rtems-bsd-get-mac-address.c
===================================================================
--- rtemsbsd/rtems/rtems-bsd-get-mac-address.c	(revision 8cdd1420c703246d1a360ff964cd8b7f4f6307bd)
+++ rtemsbsd/rtems/rtems-bsd-get-mac-address.c	(revision 8cdd1420c703246d1a360ff964cd8b7f4f6307bd)
@@ -0,0 +1,51 @@
+/**
+ * @file
+ *
+ * @ingroup rtems_bsd_rtems
+ *
+ * @brief TODO.
+ */
+
+/*
+ * Copyright (c) 2015 embedded brains GmbH.  All rights reserved.
+ *
+ *  embedded brains GmbH
+ *  Dornierstr. 4
+ *  82178 Puchheim
+ *  Germany
+ *  <rtems@embedded-brains.de>
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ * 1. Redistributions of source code must retain the above copyright
+ *    notice, this list of conditions and the following disclaimer.
+ * 2. Redistributions in binary form must reproduce the above copyright
+ *    notice, this list of conditions and the following disclaimer in the
+ *    documentation and/or other materials provided with the distribution.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+ * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+ * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+ * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+ * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+ * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+ * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+ * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+ * SUCH DAMAGE.
+ */
+
+#include <rtems/bsd/bsd.h>
+
+void
+rtems_bsd_get_mac_address(const char *name, int unit, uint8_t mac_addr[6])
+{
+	mac_addr[0] = 0x0e;
+	mac_addr[1] = 0xb0;
+	mac_addr[2] = 0xba;
+	mac_addr[3] = 0x5e;
+	mac_addr[4] = 0xba;
+	mac_addr[5] = (uint8_t)(0x11 + unit);
+}
